[SciPy-dev] Scipy tests can't be run when scipy installed as an egg

David M. Cooke cookedm@physics.mcmaster...
Thu Apr 17 17:02:43 CDT 2008


I usually install scipy as an egg, and I noticed[1] that you can't run  
the test suite when installed that way:

dave@saturn% py -c 'import scipy; scipy.test()'
/Users/dave/Library/Python/2.5/site-packages/scipy-0.7.0.dev4146-py2.5- 
macosx-10.3-fat.egg/scipy/sparse/linalg/dsolve/linsolve.py:20:  
DeprecationWarning: scipy.sparse.linalg.dsolve.umfpack will be  
removed, install scikits.umfpack instead
   ' install scikits.umfpack instead', DeprecationWarning )
/Users/dave/Library/Python/2.5/site-packages/scipy-0.7.0.dev4146-py2.5- 
macosx-10.3-fat.egg/scipy/linsolve/__init__.py:4: DeprecationWarning:  
scipy.linsolve has moved to scipy.sparse.linalg.dsolve
   warn('scipy.linsolve has moved to scipy.sparse.linalg.dsolve',  
DeprecationWarning)
/Users/dave/Library/Python/2.5/site-packages/scipy-0.7.0.dev4146-py2.5- 
macosx-10.3-fat.egg/scipy/splinalg/__init__.py:3: DeprecationWarning:  
scipy.splinalg has moved to scipy.sparse.linalg
   warn('scipy.splinalg has moved to scipy.sparse.linalg',  
DeprecationWarning)

----------------------------------------------------------------------
Ran 0 tests in 0.049s

OK

(Same results using the `nosetests` program`.) This is probably a  
problem with nose (or our use of it). Tests run fine when scipy is  
installed as normal. Nose and numpy are the latest versions.

Any thoughts?

[1] would've noticed eariler, but I've been pretty busy.

-- 
|>|\/|<
/------------------------------------------------------------------\
|David M. Cooke              http://arbutus.physics.mcmaster.ca/dmc/
|cookedm@physics.mcmaster.ca



More information about the Scipy-dev mailing list